XCB 1.12

Data Fields
xcb_input_feedback_state_data_t Struct Reference
XCB Input API

xcb_input_feedback_state_data_t More...

`#include <xinput.h>`

## Data Fields
struct {
uint16_t pitch
uint16_t duration
uint32_t led_mask
uint32_t led_values
uint8_t global_auto_repeat
uint8_t click
uint8_t percent
uint8_t pad0
uint8_t auto_repeats [32]
} | keyboard
struct {
uint8_t pad1 [2]
uint16_t accel_num
uint16_t accel_denom
uint16_t threshold
} | pointer
struct {
uint16_t max_symbols
uint16_t num_keysyms
xcb_keysym_t * keysyms
} | string
struct {
uint32_t resolution
int32_t min_value
int32_t max_value
} | integer
struct {
uint32_t led_mask
uint32_t led_values
} | led
struct {
uint8_t percent
uint8_t pad2 [3]
uint16_t pitch
uint16_t duration
} | bell

## Detailed Description

xcb_input_feedback_state_data_t

The documentation for this struct was generated from the following file:

- xinput.h